Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.xsd
Class XsdException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.ode.utils.xsd.XsdException

All Implemented Interfaces:
  java.io.Serializable

    public class XsdException

extends java.lang.Exception

An exception class to encapsulate failures to load XML Schema documents.

See Also:
  Serialized Form

Constructor Summary
`XsdException(XsdException previous, java.lang.String message, int lineNumber, int columnNumber, java.lang.String literalSystemId)`

Method Summary
`int` | `getColumnNumber()`
`java.lang.String` | `getDetailMessage()`
`int` | `getLineNumber()`
`XsdException` | `getPrevious()`
`java.lang.String` | `getSystemId()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XsdException

    public XsdException(XsdException previous,
                        java.lang.String message,
                        int lineNumber,
                        int columnNumber,
                        java.lang.String literalSystemId)

Parameters:
  `message` - the detail message from the impl
  `lineNumber` - the line number where the error occurred
  `columnNumber` - the column number where the error occurred
  `literalSystemId` - the (literal, i.e., passed-in) System ID

Method Detail

### getDetailMessage

    public java.lang.String getDetailMessage()

### getSystemId

    public java.lang.String getSystemId()

### getLineNumber

    public int getLineNumber()

### getColumnNumber

    public int getColumnNumber()

### getPrevious

    public XsdException getPrevious()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD